//+------------------------------------------------------------------+
//|                                         s-Regression_Channel.mq4 |
//|                      Copyright  2010, MetaQuotes Software Corp. |
//|                            "http://www.mql4.com/ru/users/costy_" |
//+------------------------------------------------------------------+

//+------------------------------------------------------------------+
#property copyright "Copyright  2010, MetaQuotes Software Corp."
#property link      "http://www.mql4.com/ru/users/costy_"

#property show_inputs

extern string     xxxxxxxxxxxxxxxxxxxxxxxxxxxxx =  "---------------------------------------------------------";
extern int    hours=24;
extern int    days=5;
extern int    weeks=4;
extern color  color_hours= Blue;
extern color  color_s    = Gold;
//---------------------------------------------------------------------------------------------------------
 int    font_size = 8;
 string font_name = "Times New Roman";

int i,ii,iii,shift_time[12], shift_hours,shift_days,shift_weeks,o;
string name_object[21];
// init      
int init(){  
   for (  i=0; i<12; i++)name_object[i]="Regression_Channel_"+i;
   shift_hours=60*   hours/Period();   shift_days =1440* days /Period();   shift_weeks=10080*weeks/Period();
   shift_time[6]=shift_hours; shift_time[7]=shift_hours/10;   shift_time[8]=shift_days;  shift_time[9]=shift_days/10;
   shift_time[10]=shift_weeks;shift_time[11]=shift_weeks/10;
//---------------------------------------------------------------------------------------------------------
   if(ObjectFind(name_object[0])<0)
   for(i=6;i<12; i++){
       if(ObjectFind(name_object[i])<0){  
        ObjectCreate(name_object[i], OBJ_VLINE,0,iTime(0,0,shift_time[i]),0);
        ObjectSet(name_object[i],OBJPROP_STYLE,STYLE_DOT);
        ObjectSetText(name_object[i],"        - ", font_size, font_name, Green);
       }
   }else{Print("jyb ceotcnde.n");
    for(i=6;i<12; i+=2){
       if(ObjectFind(name_object[i])<0){  
        ObjectCreate(name_object[i], OBJ_VLINE,0,ObjectGet(name_object[i-6], OBJPROP_TIME1),0);
        ObjectSet(name_object[i],OBJPROP_STYLE,STYLE_DOT);
        ObjectSetText(name_object[i],"        - ", font_size, font_name, Green);
        ObjectCreate(name_object[i+1], OBJ_VLINE,0,ObjectGet(name_object[i-6], OBJPROP_TIME2),0);
        ObjectSet(name_object[i+1],OBJPROP_STYLE,STYLE_DOT);
        ObjectSetText(name_object[i+1],"        - ", font_size, font_name, Green);
       }
     }
   }
//   
   return(0);
  }
// deinit      
int deinit(){  for (  i=6; i<12; i++)ObjectDelete(name_object[i]);Comment("");
  return(0);
  }
//     
int start(){
   for (i=0; i<10; i++)
    if(start_()!=0)start_();
    else{
     if(IsStopped( ))break;
     Sleep(100);
     start_();i=0;
    }
return(0);
}
//     
int start_(){
//---------------------------------------------------------------------------------------------------------
  if(Close[shift_weeks]==0||Close[shift_days]==0||Close[shift_hours]==0){
  Alert(" History Bars "+"\n"+" ->->. "+"\r\n"+"     .  "+
                                        "\r\n"+"   "+(shift_weeks+20)+"  OK."+"\r\n"+"  "+Bars+" Bars");
  return(0);
  }
//---------------------------------------------------------------------------------------------------------
     if(ObjectFind(name_object[0])!=-1)
     for (  i=0; i<6; i++)ObjectDelete(name_object[i]);
//     
     int OBJ_[5]={4,6,4,6,4,6};
     color color_[6];  for (  i=0; i<6; i++)if(i<=1)color_[i] =color_hours; else color_[i] =color_s; 
     int STYLE_[5]={0,2,0,2,0,2}; 
//---------------------------------------------------------------------------------------------------------
     for ( int g=0; g<6; g++){
           switch(g){ 
               case 0:o=6;break;               case 2:o=8;break;               case 4:o=10;break;
           }
       ObjectCreate(name_object[g],  OBJ_[g],    0,ObjectGet(name_object[o], OBJPROP_TIME1),0,
                                                                              ObjectGet(name_object[o+1], OBJPROP_TIME1),0);
       ObjectSet(name_object[g],OBJPROP_COLOR, color_[g]);
       ObjectSet(name_object[g],OBJPROP_RAY,   true     );
       ObjectSet(name_object[g],OBJPROP_STYLE, STYLE_[g]);
      }
//     
return(0);
}

